Package org.codehaus.groovy.tools.groovydoc

# Class GroovyDocWriter

java.lang.Object
org.codehaus.groovy.tools.groovydoc.GroovyDocWriter

public class GroovyDocWriter extends Object
Write GroovyDoc resources to destination.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroovyDocWriter(GroovyDocTool tool, OutputTool output, GroovyDocTemplateEngine templateEngine, Properties properties)`
  Deprecated.
  Use `GroovyDocWriter(OutputTool, GroovyDocTemplateEngine, Properties)`
  `GroovyDocWriter(OutputTool output, GroovyDocTemplateEngine templateEngine, Properties properties)`
  Creates a writer with no source-path information (resource files will not be copied).
  `GroovyDocWriter(OutputTool output, GroovyDocTemplateEngine templateEngine, Properties properties, String[] sourcepaths)`
  Creates a writer with source-path information used to locate and mirror resource directories.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `writeClasses(GroovyRootDoc rootDoc, String destdir)`
  Writes HTML for every class in the root doc to the destination directory.
  `void`
  `writeClassToOutput(GroovyClassDoc classDoc, String destdir)`
  Writes the HTML page for a single class doc if its visibility matches the configured scope.
  `void`
  `writePackages(GroovyRootDoc rootDoc, String destdir)`
  Writes package-level HTML pages and the `package-list` file to the destination directory.
  `void`
  `writePackageToOutput(GroovyPackageDoc packageDoc, String destdir)`
  Writes all package-level template output for a single package doc to the destination directory.
  `void`
  `writeRoot(GroovyRootDoc rootDoc, String destdir)`
  Creates the output area and writes the root-level documentation pages.
  `void`
  `writeRootDocToOutput(GroovyRootDoc rootDoc, String destdir)`
  Writes each root-level template to the destination directory, skipping disabled pages and copying binary resources verbatim.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GroovyDocWriter

    @Deprecated public GroovyDocWriter(GroovyDocTool tool, OutputTool output, GroovyDocTemplateEngine templateEngine, Properties properties)
    Deprecated.
    Use `GroovyDocWriter(OutputTool, GroovyDocTemplateEngine, Properties)`

  - ### GroovyDocWriter

    public GroovyDocWriter(OutputTool output, GroovyDocTemplateEngine templateEngine, Properties properties)
    Creates a writer with no source-path information (resource files will not be copied).

  - ### GroovyDocWriter

    public GroovyDocWriter(OutputTool output, GroovyDocTemplateEngine templateEngine, Properties properties, String[] sourcepaths)
    Creates a writer with source-path information used to locate and mirror resource directories.
    Since:
      6.0.0

- ## Method Details

  - ### writeClasses

    public void writeClasses(GroovyRootDoc rootDoc, String destdir) throws Exception
    Writes HTML for every class in the root doc to the destination directory.
    Throws:
      `Exception`

  - ### writeClassToOutput

    public void writeClassToOutput(GroovyClassDoc classDoc, String destdir) throws Exception
    Writes the HTML page for a single class doc if its visibility matches the configured scope.
    Throws:
      `Exception`

  - ### writePackages

    public void writePackages(GroovyRootDoc rootDoc, String destdir) throws Exception
    Writes package-level HTML pages and the `package-list` file to the destination directory.
    Throws:
      `Exception`

  - ### writePackageToOutput

    public void writePackageToOutput(GroovyPackageDoc packageDoc, String destdir) throws Exception
    Writes all package-level template output for a single package doc to the destination directory.
    Throws:
      `Exception`

  - ### writeRoot

    public void writeRoot(GroovyRootDoc rootDoc, String destdir) throws Exception
    Creates the output area and writes the root-level documentation pages.
    Throws:
      `Exception`

  - ### writeRootDocToOutput

    public void writeRootDocToOutput(GroovyRootDoc rootDoc, String destdir) throws Exception
    Writes each root-level template to the destination directory, skipping disabled pages and copying binary resources verbatim.
    Throws:
      `Exception`